Opened 12 months ago

Closed 5 months ago

#12611 closed defect (fixed)

STARK: Overlay graphics/"sprites" not displayed in The Longest Journey

Reported by: poker335 Owned by: aquadran
Priority: normal Component: Engine: Stark
Version: Keywords:
Cc: Game: The Longest Journey

Description (last modified by poker335)

I attached a screenshot of The Longest Journey (current gog.com version as of 2021-06-05):

A roadblock should be displayed in this screen, but it is not.

The same problem occurs on the screen with the cinema. A trashcan should be displayed, but it is not.

This problem occurs on Mac BigSur (I tried several daily builds since Ende of April) and on Windows 10. It occurs without and with the HD Mods.

macOS Version used for the Screenshot (BigSur):
ScummVM 2.3.0git18506-ga3f1211f42 (Jun 5 2021 04:43:19)
Features compiled in: TAINTED Vorbis FLAC MP3 SEQ TiMidity RGB zLib MPEG2 FluidSynth Theora AAC A/52 FreeType2 FriBiDi JPEG PNG GIF taskbar cloud (servers, local) TinyGL OpenGL (with shaders) GLE

Attachments (4)

scummvm-tlj-win-00001.png (1.5 MB ) - added by poker335 12 months ago.
scummvm-tlj-win-00000.png (1.3 MB ) - added by poker335 11 months ago.
tlj-win-010.tlj (133.4 KB ) - added by poker335 11 months ago.
tlj-win-009.tlj (131.8 KB ) - added by poker335 11 months ago.

Change History (12)

by poker335, 12 months ago

Attachment: scummvm-tlj-win-00001.png added

comment:1 by poker335, 12 months ago

Description: modified (diff)

comment:2 by poker335, 12 months ago

Description: modified (diff)

comment:3 by Sandvich, 11 months ago

Just to add, I'm having the same problem on Linux using ScummVM 2.3.0git20228-gc01939731a (Jul 6 2021 17:43:09)
So it's definitely a cross-platform issue.

by poker335, 11 months ago

Attachment: scummvm-tlj-win-00000.png added

by poker335, 11 months ago

Attachment: tlj-win-010.tlj added

by poker335, 11 months ago

Attachment: tlj-win-009.tlj added

comment:4 by poker335, 11 months ago

  1. I added a screenshot for the cinema entrance screen, too. As you can see, the trashcan is not displayed.
  1. I also added savegames that load these two screens directly.

Mac ScummVM Version used to create the savegame files:

./scummvm -V
2021-07-13 21:06:54.766 scummvm[7138:398240] NSDocumentController Info.plist warning: The values of CFBundleTypeRole entries must be 'Editor', 'Viewer', 'None', or 'Shell'.
ScummVM 2.3.0git20634-gacf0b1fbcf (Jul 13 2021 07:39:35)
Features compiled in: TAINTED Vorbis FLAC MP3 SEQ TiMidity RGB zLib MPEG2 FluidSynth Theora AAC A/52 FreeType2 FriBiDi JPEG PNG GIF taskbar cloud (servers, local) TinyGL OpenGL (with shaders) GLEW

The problem still persists with the most current daily build as of 13th July, 21.

comment:5 by robosophus, 9 months ago

I have the same issue on Windows 10 with this version:

ScummVM 2.3.0git21918-g7ceb99d982 (Aug 11 2021 04:53:28)
Features compiled in: TAINTED Vorbis FLAC MP3 RGB zLib MPEG2 FluidSynth Theora AAC A/52 FreeType2 FriBiDi JPEG PNG GIF taskbar cloud (servers, local) TinyGL OpenGL (with shaders) GLEW

comment:6 by poker335, 9 months ago

Problem seems to be fixed (at least in my case) in this macOS build:

ScummVM 2.4.0git234-g5f3004b94e (Sep 10 2021 06:07:51)
Features compiled in: TAINTED Vorbis FLAC MP3 SEQ TiMidity RGB zLib MPEG2 FluidSynth Theora AAC A/52 FreeType2 FriBiDi JPEG PNG GIF taskbar TTS cloud (servers, local) TinyGL OpenGL (with shaders) GLEW

comment:7 by sev-, 8 months ago

Summary: Overlay graphics/"sprites" not displayed in The Longest JourneySTARK: Overlay graphics/"sprites" not displayed in The Longest Journey

comment:8 by aquadran, 5 months ago

Owner: set to aquadran
Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.